Bug 1883603 - podnetworkconnectivitychecks.controlplane.operator.openshift.io is invalid
Summary: podnetworkconnectivitychecks.controlplane.operator.openshift.io is invalid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.6.0
Assignee: Luis Sanchez
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-29 16:47 UTC by Luis Sanchez
Modified: 2020-10-27 16:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:46:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift api pull 755 0 None closed Bug 1883603: podnetworkconnectivitychecks.controlplane.operator.openshift.io is invalid 2021-01-11 03:07:22 UTC
Github openshift cluster-kube-apiserver-operator pull 962 0 None closed Bug 1883698: Bug 1883603: Bump openshift/api 2021-01-11 03:07:22 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:46:39 UTC

Description Luis Sanchez 2020-09-29 16:47:29 UTC
Description of problem:

error running apply for customresourcedefinition "podnetworkconnectivitychecks.controlplane.operator.openshift.io" (32 of 613): CustomResourceDefinition.apiextensions.k8s.io "podnetworkconnectivitychecks.controlplane.operator.openshift.io" is invalid: spec.scope: Required value

Comment 4 Ke Wang 2020-10-13 05:37:14 UTC
The bug relevant PR has been loaded to latest build, per PR change, no need QE.
$ oc adm release info --commits registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-10-12-223649 | grep cluster-kube-apiserver-operator
  cluster-kube-apiserver-operator   https://github.com/openshift/cluster-kube-apiserver-operator       358d3e915b2e7df4e1557f4c73c3a911a151b456
  
$ git log --date local '--pretty=%h %an %cd - %s' 358d3e915b2e7df4e1557f4c73c3a911a151b456 | grep ' #962 '
6dc8145b OpenShift Merge Robot Wed Sep 30 15:49:26 2020 - Merge pull request #962 from dmage/loglevel-validation

Comment 6 errata-xmlrpc 2020-10-27 16:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.